
Device 16F877

Declare Xtal 4

'--------------------------  GLCD --------------------------
Declare LCD_Type = GRAPHIC        '   - 
Declare LCD_DTPort = PORTB        '   
Declare LCD_RWPin = PORTC.1       '   RW
Declare LCD_RSPin = PORTC.2       '   RS
Declare LCD_ENPin = PORTC.0       '   E
Declare LCD_CS1Pin = PORTC.4      '   CS1
Declare LCD_CS2Pin = PORTC.3      '   CS2
Declare Internal_Font = On        '      

TRISA = %11111111	                '  PORTA  
TRISB = %00000000	                ' PORTB  
TRISC = %00000000	                ' PORTC  
TRISD = %11111111	                ' PORTD  
TRISE = %111                        ' PORTE  
                                                                                                         
Dim N As Byte
Dim AN As Word
N=0
Dim Xpos As Byte
Dim Ypos As Byte
Dim LCDaddr As Word
Dim LCDpixel As Byte

Cls                               '  

'----------------------------     
START:
DelayMS 1000
Cls
                              
If PORTD.1=0 Then 
    N=1
EndIf

If PORTD.2=0 Then 
    N=2
EndIf

If PORTD.3=0 Then 
    N=3
EndIf

If PORTD.4=0 Then 
    N=4
EndIf

Print At 1,0, "RFR LTKBIRB"
Print At 3,0, "HECCRBQ IHBAN&"
DelayMS 2000

Print At 5,0, "JNKBXYTYMRJ? Ljhjujq!"
DelayMS 5000

For Ypos = 0 To 7
    For Xpos = 0 To 127
        LCDaddr = (Ypos*128)+Xpos
        LCDpixel = CRead home + LCDaddr
        LCDWrite Ypos,Xpos,[LCDpixel]
    Next Xpos 
Next Ypos

DelayMS 1000

For Ypos = 0 To 7
    For Xpos = 0 To 127
        LCDaddr = (Ypos*128)+Xpos
        LCDpixel = CRead home_ok + LCDaddr
        LCDWrite Ypos,Xpos,[LCDpixel]
    Next Xpos 
Next Ypos
 
GoTo START
 
Include "Font.inc"                '     
Include "home.inc"                '     
Include "home_ok.inc"            






